Ticket #42439

Fix build failure on older OS X versions

Eröffnet am: 2021-05-31 18:04 Letztes Update: 2021-06-04 10:08

Auswertung:
(Anonym)
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
Keine

Details

Build can fail due to including sys/random.h when it's not needed. Example failure: https://build.macports.org/builders/ports-10.11_x86_64-builder/builds/139520/steps/install-port/logs/stdio

Pull request with proposed fix: https://github.com/freeciv/freeciv/pull/29

Ticket-Verlauf (3/5 Historien)

2021-05-31 18:04 Aktualisiert von: None
  • New Ticket "Fix build failure on older OS X versions" created
2021-05-31 18:46 Aktualisiert von: cazfi
Kommentar

Should not check boolean value of those macros, but if they both are defined (at all): #if defined() && defined()

2021-05-31 18:47 Aktualisiert von: cazfi
2021-06-02 10:35 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
Kommentar

Reply To cazfi

Should not check boolean value of those macros, but if they both are defined (at all): #if defined() && defined()

There's now a new version of the pull request with this fixed. It applies cleanly to all branches.

2021-06-04 10:08 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden